import { AbstractControl } from '@angular/forms';

export class EmptyControl extends AbstractControl {
  constructor() {
    super([], []);
  }

  setValue(value: any, options?: object): void {}
  patchValue(value: any, options?: object): void {}
  reset(value?: any, options?: object): void {}
}
